{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2026-06-16T01:37:15Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtcqtquickdesignerextension-4.8.3",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtcqtquickdesignerextension-4.8.3-host-linux-x86_64-target-linux-x86_64-ebfa289d-19df-54c6-bb37-0d86a0b82c2f",
    "packages": [
        {
            "SPDXID": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "builtDate": "2026-06-16T01:37:15Z",
            "comment": "Built by CMake 3.30.5 with RelWithDebInfo configuration for Linux (x86_64)",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://codereview.qt-project.org:29418/qt-creator/tqtc-plugin-qtquickdesigner.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtdesigner:4.8.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtcqtquickdesignerextension@4.8.3",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "LicenseRef-Qt-Commercial",
            "licenseDeclared": "LicenseRef-Qt-Commercial",
            "name": "qtcqtquickdesignerextension",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "4.8.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-978536433b49",
            "comment": "\nCMake target name: qtcqtquickdesignerextensionSbomBuildToolCMake\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "3.30.5"
        },
        {
            "SPDXID": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-generator-Ninja-978536433b49",
            "comment": "\nCMake target name: qtcqtquickdesignerextensionSbomBuildToolCMakeGenerator\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake generator Ninja",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "1.12.1"
        },
        {
            "SPDXID": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Compiler-GNU-978536433b49",
            "comment": "\nCMake target name: qtcqtquickdesignerextensionSbomBuildToolCompiler\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Compiler GNU",
            "primaryPackagePurpose": "OTHER",
            "summary": "The compiler as identified by CMake, running on 'Linux' (x86_64)",
            "supplier": "Person: Anonymous",
            "versionInfo": "11.5.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Linker-GNU-978536433b49",
            "comment": "\nCMake target name: qtcqtquickdesignerextensionSbomBuildToolLinker\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Linker GNU",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "2.35.2"
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-978536433b49",
            "comment": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49 is built using CMake version 3.30.5",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-generator-Ninja-978536433b49",
            "comment": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49 is built using generator CMAKE_GENERATOR: 'Ninja' and CMAKE_MAKE_PROGRAM: 'ninja' version '1.12.1'",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Compiler-GNU-978536433b49",
            "comment": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49 is built by compiler: 'GNU' version: '11.5.0' frontend variant: 'GNU'",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Linker-GNU-978536433b49",
            "comment": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49 is built by linker 'GNU' version '2.35.2' frontend variant: 'GNU'",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-978536433b49",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-CMake-generator-Ninja-978536433b49",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Compiler-GNU-978536433b49",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtcqtquickdesignerextension-978536433b49",
            "relatedSpdxElement": "SPDXRef-Package-qtcqtquickdesignerextension-build-tool-Linker-GNU-978536433b49",
            "relationshipType": "CONTAINS"
        }
    ]
}